Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041506
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminoralways2019-07-31 12:292019-08-22 14:45
ReportercbernerView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionfe786bd06e9c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041506: Tabs display logic don't refresh on cancel in Tables and Columns Window

DescriptionWhen checking/unchecking a field that has display logic linked to some tabs it refreshes. If cancel button is pressed tabs are not refreshed according to previous display logic.
Steps To Reproduce1. Open Tables and Columns window.
2. Open any table in edit form mode.
3. Uncheck/check "Is tree".
4. Press cancel. Tabs do not get refreshed to previous state.

This should be reproduceable on any window with some field that has display logic in it linked to a tab.
Proposed SolutionApply a refresh on cancel, similar to refresh on display logic option check/uncheck.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0113755)
hgbot (developer)
2019-08-01 13:14

Repository: erp/devel/pi
Changeset: fe786bd06e9cfa2b9dce517cf892d43264cfcf06
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Wed Jul 31 18:26:30 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fe786bd06e9cfa2b9dce517cf892d43264cfcf06 [^]

fixes issue 41506: Tabs display logic now refreshes on cancel

Tabs in windows refresh when cancel button is pressed.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0113759)
AugustoMauch (developer)
2019-08-01 15:10

Code reviewed and verified
(0114194)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-31 12:29 cberner New Issue
2019-07-31 12:29 cberner Assigned To => cberner
2019-07-31 12:29 cberner Modules => Core
2019-07-31 12:29 cberner Triggers an Emergency Pack => No
2019-08-01 09:06 cberner Status new => scheduled
2019-08-01 13:14 hgbot Checkin
2019-08-01 13:14 hgbot Note Added: 0113755
2019-08-01 13:14 hgbot Status scheduled => resolved
2019-08-01 13:14 hgbot Resolution open => fixed
2019-08-01 13:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fe786bd06e9cfa2b9dce517cf892d43264cfcf06 [^]
2019-08-01 15:10 AugustoMauch Review Assigned To => AugustoMauch
2019-08-01 15:10 AugustoMauch Note Added: 0113759
2019-08-01 15:10 AugustoMauch Status resolved => closed
2019-08-01 15:10 AugustoMauch Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114194


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker